com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdCreateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPCreateCmd
    - - com.verisign.epp.codec.emailFwd.EPPEmailFwdCreateCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPEmailFwdCreateCmd
      extends EPPCreateCmd

  Represents an EPP EmailFwd <create> command, which provides a transform operation that allows a client to create a emailFwd object. In addition to the standard EPP command elements, the <create> command MUST contain a <emailFwd:create> element that identifies the emailFwd namespace and the location of the emailFwd schema. The <emailFwd:create> element MUST contain the following child elements:
  - A <emailFwd:name> element that contains the fully qualified emailFwd name of the object to be created. Use `getName` and `setName` to get and set the element.
  - An <emailFwd:fwdTo> element that contain the forwardTo Addresses/ .Use `getEmailForwardTo` and `setEmailForwardTo` to get and set the forwardTo addresses.
  - An OPTIONAL <emailFwd:period> element that contains the initial registration period of the emailFwd object. Use `getPeriod` and `setPeriod` to get and set the element. If return `null`, period has not been specified yet.
  - An OPTIONAL <emailFwd:registrant> element that contains the identifier for the human or organizational social information (contact) object to be associated with the emailFwd object as the object registrant. This object identifier MUST be known to the server before the contact object can be associated with the emailFwd object. Use `getRegistrant` and `setRegistrant` to get and set the elements.
  - Zero or more <emailFwd:contact> elements that contain the registrant, administrative, technical, and billing contact identifiers to be associated with the emailFwd. A contact identifier MUST be known to the server before the contact can be associated with the emailFwd. Only one contact identifier of each type MAY be specified. A server MAY provide contact object services when providing emailFwd name object services. The EPP mapping for contact objects is described in [EPP-C]. Use `getContacts` and `setContacts` to get and set the elements. Contacts should only be specified if the Contact Mapping is supported.
  - A <emailFwd:authInfo> element that contains authorization information to be associated with the emailFwd object.
  It is important to note that the transaction identifier associated with successful creation of a emailFwd object becomes the authorization identifier required to transfer sponsorship of the emailFwd object. A client MUST retain all transaction identifiers associated with emailFwd object creation and protect them from disclosure. A client MUST also provide a copy of the transaction identifier information to the emailFwd registrant, who will need this information to request a emailFwd transfer through a different client.
  `EPPEmailFwdCreateResp` is the concrete `EPPReponse` associated with `EPPEmailFwdCreateCmd`.
  Version:
    $Revision: 1.2 $
  Author:
    $Author: jim $
  See Also:
    `EPPEmailFwdCreateResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEmailFwdCreateCmd()` Allocates a new `EPPEmailFwdCreateCmd` with default attribute values.
    `EPPEmailFwdCreateCmd(java.lang.String aTransId, java.lang.String aName, java.lang.String aForwardTo, EPPAuthInfo aAuthInfo)` Allocates a new `EPPEmailFwdCreateCmd` with a emailFwd name.
    `EPPEmailFwdCreateCmd(java.lang.String aTransId, java.lang.String aName, java.lang.String aForwardTo, java.util.Vector someContacts, EPPEmailFwdPeriod aPeriod, EPPAuthInfo aAuthInfo)` Allocates a new `EPPEmailFwdCreateCmd` with all attributes specified by the arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPEmailFwdCreateCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the EPPEmailFwdCreateCmd attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPEmailFwdCreateCmd instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPEmailFwdCreateCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` Get authorization information
    `java.util.Vector` | `getContacts()` Gets the contacts.
    `java.lang.String` | `getForwardTo()` Get the emailFwd to.
    `java.lang.String` | `getName()` Get the emailFwd name to create.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with EPPEmailFwdCreateCmd.
    `EPPEmailFwdPeriod` | `getPeriod()` Gets the registration period in years.
    `java.lang.String` | `getRegistrant()` Get registrant.
    `void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information
    `void` | `setContacts(java.util.Vector aContacts)` Sets the contacts.
    `void` | `setForwardTo(java.lang.String aForwardTo)` Set the emailFwd name to create.
    `void` | `setName(java.lang.String aName)` Set the emailFwd name to create.
    `void` | `setPeriod(EPPEmailFwdPeriod aPeriod)` Sets the registration period in years.
    `void` | `setRegistrant(java.lang.String newRegistrant)` Set registrant.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCreateCmd

      `doGenDecode, doGenEncode, getType`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPEmailFwdCreateCmd

          public EPPEmailFwdCreateCmd()

      Allocates a new `EPPEmailFwdCreateCmd` with default attribute values. the defaults include the following:
      - name is set to `null`
      - forwardTo is set to `null`
      - period is set to `UNSPEC_PERIOD`
      - contacts is set to to `null`
      - transaction id is set to `null`.
      The name must be set before invoking `encode`.

    - #### EPPEmailFwdCreateCmd

          public EPPEmailFwdCreateCmd(java.lang.String aTransId,
                                      java.lang.String aName,
                                      java.lang.String aForwardTo,
                                      EPPAuthInfo aAuthInfo)

      Allocates a new `EPPEmailFwdCreateCmd` with a emailFwd name. The other attributes are initialized as follows:
      - period is set to `UNSPEC_PERIOD`
      - servers is set to `null`
      - contacts is set to `null`
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - EmailFwd name
        `aForwardTo` - EmailFwdTo address
        `aAuthInfo` - EPPAuthInfo authorization information

    - #### EPPEmailFwdCreateCmd

          public EPPEmailFwdCreateCmd(java.lang.String aTransId,
                                      java.lang.String aName,
                                      java.lang.String aForwardTo,
                                      java.util.Vector someContacts,
                                      EPPEmailFwdPeriod aPeriod,
                                      EPPAuthInfo aAuthInfo)

      Allocates a new `EPPEmailFwdCreateCmd` with all attributes specified by the arguments.
      Parameters:
        `aTransId` - Transaction Id associated with command.
        `aName` - EmailFwd name
        `aForwardTo` - EmailFwdTo name
        `someContacts` - EmailFwd contacts. Should be `null` if the Contact Mapping is not supported.
        `aPeriod` - Value greater than or equal to `MIN_PERIOD` or less than or equal to `MAX_PERIOD`.
        `aAuthInfo` - EPPAuthInfo authorization information

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with EPPEmailFwdCreateCmd.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPEmailFwdMapFactory.NS`

    - #### getName

          public java.lang.String getName()

      Get the emailFwd name to create.
      Returns:
        EmailFwd Name

    - #### getForwardTo

          public java.lang.String getForwardTo()

      Get the emailFwd to.
      Returns:
        EmailFwdTo

    - #### setName

          public void setName(java.lang.String aName)

      Set the emailFwd name to create.
      Parameters:
        `aName` - EmailFwd Name

    - #### setForwardTo

          public void setForwardTo(java.lang.String aForwardTo)

      Set the emailFwd name to create.
      Parameters:
        `aForwardTo` - EmailFwd Name

    - #### getContacts

          public java.util.Vector getContacts()

      Gets the contacts.
      Returns:
        Vector of `EPPEmailFwdContact` instances if defined; `null` otherwise.

    - #### setContacts

          public void setContacts(java.util.Vector aContacts)

      Sets the contacts.
      Parameters:
        `aContacts` - DOCUMENT ME!

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPEmailFwdCreateCmd` with this instance.
      Overrides:
        `equals` in class `EPPCreateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEmailFwdCreateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPEmailFwdCreateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization information
      Returns:
        EPPAuthInfo

    - #### getPeriod

          public EPPEmailFwdPeriod getPeriod()

      Gets the registration period in years.
      Returns:
        Registration Period in years.

    - #### getRegistrant

          public java.lang.String getRegistrant()

      Get registrant.
      Returns:
        java.lang.String

    - #### setAuthInfo

          public void setAuthInfo(EPPAuthInfo newAuthInfo)

      Set authorization information
      Parameters:
        `newAuthInfo` - java.lang.String

    - #### setPeriod

          public void setPeriod(EPPEmailFwdPeriod aPeriod)

      Sets the registration period in years.
      Parameters:
        `aPeriod` - Registration Period in years.

    - #### setRegistrant

          public void setRegistrant(java.lang.String newRegistrant)

      Set registrant.
      Parameters:
        `newRegistrant` - java.lang.String

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPEmailFwdCreateCmd instance.
      Specified by:
        `doEncode` in class `EPPCreateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the EPPEmailFwdCreateCmd instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPEmailFwdCreateCmd instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the EPPEmailFwdCreateCmd attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPCreateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode EPPEmailFwdCreateCmd from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

Copyright © VeriSign Inc. All Rights Reserved.